Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.utils
Class CertificateParser

    java.lang.Object
      be.ehealth.technicalconnector.utils.CertificateParser

    public class CertificateParser

extends Object

The Class CertificateParser.

Constructor Summary
`CertificateParser(String subject)` Instantiates a new certificate parser.
`CertificateParser(X509Certificate cert)` Instantiates a new certificate parser.

Method Summary
`String` | `getApplication()` Gets the application.
`String` | `getId()`
`IdentifierType` | `getIdentifier()`
`String` | `getType()`
`String` | `getValue()` Deprecated. replaces by `getId()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertificateParser

    public CertificateParser(X509Certificate cert)
                      throws TechnicalConnectorException

  Instantiates a new certificate parser.

  Parameters:
    `cert` - the cert
  Throws:
    `InvalidNameException`
    `TechnicalConnectorException`

### CertificateParser

    public CertificateParser(String subject)
                      throws TechnicalConnectorException

  Instantiates a new certificate parser.

  Parameters:
    `subject` - the subject
  Throws:
    `InvalidNameException`
    `TechnicalConnectorException`

Method Detail

### getType

    public final String getType()

### getValue

    @Deprecated
    public final String getValue()

  Deprecated. replaces by `getId()`

### getApplication

    public final String getApplication()

  Gets the application.

  Returns:
    the application

### getIdentifier

    public final IdentifierType getIdentifier()

### getId

    public final String getId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.